Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  trait ContextTrees extends AnyRef
  Definition Classes
    interactive
- ContextTree

c

scala.tools.nsc.interactive.ContextTrees

# ContextTree 

###

#### class ContextTree extends AnyRef

A context tree contains contexts that are indexed by positions. It satisfies the following properties:

1. All context come from compiling the same unit. 2. Child contexts have parent contexts in their outer chain. 3. The `pos` field of a context is the same as `context.tree.pos`, unless that position is transparent. In that case, `pos` equals the position of one of the solid descendants of `context.tree`. 4. Children of a context have non-overlapping increasing positions. 5. No context in the tree has a transparent position.

Source
  ContextTrees.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ContextTree
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ContextTree(pos: Global.Position, context: Global.Context)
2.  new ContextTree(pos: Global.Position, context: Global.Context, children: ArrayBuffer[Global.ContextTree])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Global.ContextTree to any2stringadd[Global.ContextTree] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Global.ContextTree, B)
   Implicit
     This member is added by an implicit conversion from Global.ContextTree to ArrowAssoc[Global.ContextTree] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val children: ArrayBuffer[Global.ContextTree]
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  val context: Global.Context
10.  def ensuring(cond: (Global.ContextTree) ⇒ Boolean, msg: ⇒ Any): Global.ContextTree
    Implicit
      This member is added by an implicit conversion from Global.ContextTree to Ensuring[Global.ContextTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (Global.ContextTree) ⇒ Boolean): Global.ContextTree
    Implicit
      This member is added by an implicit conversion from Global.ContextTree to Ensuring[Global.ContextTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): Global.ContextTree
    Implicit
      This member is added by an implicit conversion from Global.ContextTree to Ensuring[Global.ContextTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): Global.ContextTree
    Implicit
      This member is added by an implicit conversion from Global.ContextTree to Ensuring[Global.ContextTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Global.ContextTree to StringFormat[Global.ContextTree] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  val pos: Global.Position
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      ContextTree → AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (Global.ContextTree, B)
    Implicit
      This member is added by an implicit conversion from Global.ContextTree to ArrowAssoc[Global.ContextTree] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.ContextTree to any2stringadd[Global.ContextTree]

### Inherited by implicit conversion StringFormat from Global.ContextTree to StringFormat[Global.ContextTree]

### Inherited by implicit conversion Ensuring from Global.ContextTree to Ensuring[Global.ContextTree]

### Inherited by implicit conversion ArrowAssoc from Global.ContextTree to ArrowAssoc[Global.ContextTree]

### Ungrouped